actions: []
api_documentation: http://docs.ros.org/en/noetic/api/etsi_its_cam_ts_msgs/html
authors: "Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>, Guido K\xFCppers <guido.kueppers@rwth-aachen.de>,\
  \ Lennart Reiher <lennart.reiher@rwth-aachen.de>"
brief: ''
bugtracker: ''
depends:
- catkin
- message_generation
- message_runtime
- ros_environment
- std_msgs
depends_on:
- etsi_its_cam_ts_conversion
- etsi_its_msgs
description: ROS messages for ETSI ITS CAM (TS)
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__etsi_its_messages__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__etsi_its_messages__ubuntu_focal_amd64
has_changelog_rst: true
license: MIT
maintainer_status: developed
maintainers: "Jean-Pierre Busch <jean-pierre.busch@rwth-aachen.de>, Guido K\xFCppers\
  \ <guido.kueppers@rwth-aachen.de>, Lennart Reiher <lennart.reiher@rwth-aachen.de>"
msgs:
- HumanProblemSubCauseCode
- HumanPresenceOnTheRoadSubCauseCode
- CurvatureConfidence
- ProtectedZoneRadius
- Altitude
- SpeedLimit
- CollisionRiskSubCauseCode
- PtActivationType
- YawRateValue
- PostCrashSubCauseCode
- BasicVehicleContainerLowFrequency
- AccidentSubCauseCode
- EmergencyContainer
- ReferencePositionWithConfidence
- ProtectedZoneType
- AdverseWeatherConditionExtremeWeatherConditionSubCauseCode
- CauseCodeChoice
- SpecialVehicleContainer
- RescueContainer
- PerformanceClass
- GenerationDeltaTime
- BasicContainer
- LightBarSirenInUse
- CenDsrcTollingZone
- RailwayLevelCrossingSubCauseCode
- ExteriorLights
- RSUContainerHighFrequency
- ClosedLanes
- HazardousLocationAnimalOnTheRoadSubCauseCode
- ImpassabilitySubCauseCode
- LowFrequencyContainer
- AccelerationControl
- DeltaLongitude
- HighFrequencyContainer
- AltitudeValue
- VehicleRole
- PtActivation
- RoadworksSubCauseCode
- HeadingConfidence
- CurvatureCalculationMode
- HardShoulderStatus
- TrafficConditionSubCauseCode
- ProtectedCommunicationZonesRSU
- YawRate
- AltitudeConfidence
- SpecialTransportContainer
- SpeedValue
- EmergencyPriority
- StationId
- DriveDirection
- CamPayload
- RoadWorksContainerBasic
- CurvatureValue
- VehicleLength
- VehicleLengthConfidenceIndication
- SteeringWheelAngle
- PathDeltaTime
- PtActivationData
- AccelerationConfidence
- HazardousLocationDangerousCurveSubCauseCode
- ProtectedCommunicationZone
- SteeringWheelAngleValue
- LanePosition
- TimestampIts
- PathPoint
- VehicleWidth
- AdverseWeatherConditionVisibilitySubCauseCode
- StationaryVehicleSubCauseCode
- DangerousGoodsContainer
- HazardousLocationSurfaceConditionSubCauseCode
- Speed
- Heading
- TrafficParticipantType
- HazardousLocationObstacleOnTheRoadSubCauseCode
- ProtectedZoneId
- SteeringWheelAngleConfidence
- DangerousEndOfQueueSubCauseCode
- VehicleBreakdownSubCauseCode
- RescueAndRecoveryWorkInProgressSubCauseCode
- DangerousSituationSubCauseCode
- CamParameters
- SafetyCarContainer
- EmbarkationStatus
- SemiAxisLength
- CauseCodeV2
- Longitude
- Wgs84AngleValue
- TrafficRule
- WrongWayDrivingSubCauseCode
- AdverseWeatherConditionPrecipitationSubCauseCode
- DeltaLatitude
- PublicTransportContainer
- Path
- ItsPduHeader
- PositionConfidenceEllipse
- VehicleLengthValue
- MessageId
- SignalViolationSubCauseCode
- AccelerationComponent
- AccelerationValue
- Curvature
- SubCauseCodeType
- DrivingLaneStatus
- SpeedConfidence
- SlowVehicleSubCauseCode
- CAM
- BasicVehicleContainerHighFrequency
- HeadingValue
- YawRateConfidence
- SpecialTransportType
- Latitude
- EmergencyVehicleApproachingSubCauseCode
- OrdinalNumber1B
- DeltaReferencePosition
- AdverseWeatherConditionAdhesionSubCauseCode
- DangerousGoodsBasic
- DeltaAltitude
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__etsi_its_cam_ts_msgs__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__etsi_its_cam_ts_msgs__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__etsi_its_cam_ts_msgs__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__etsi_its_cam_ts_msgs__ubuntu_focal_arm64__binary
repo_name: etsi_its_messages
repo_url: ''
srvs: []
timestamp: 1739876618.927804
url: ''
vcs: git
vcs_uri: https://github.com/ika-rwth-aachen/etsi_its_messages.git
vcs_version: main
